## libkf5kface 15.12.0

=== debian/changelog ===
libkf5kface (15.12.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 13:04:30 +0200

libkf5kface (15.12.0-2) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 08:34:00 +0200

libkf5kface (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:14 +0100

libkface (4:15.04.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * Update symbols files.

  [ Felix Geyer ]
  * Further improve the copyright file, thanks to Scott Kitterman.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:13:47 +0200

libkface (4:14.12.2-2) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add Breaks/Replaces with digikam-data.

  [ Felix Geyre ]
  * Improve the copyright file.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Jun 2015 15:01:53 +0200

libkface (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depend.
  * Fix the maintainer field to the new
    standard for debian git hosted apps.
  * New upstream release
  * Fix kdelibs5 version in build depends.
  * Batchpatch symbols - Removed  #MISSING: 4:14.14.3# (optional=templinst)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:23:09 -0700

libkface (4:14.12.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * Add back kdelibs parent version depend.
  * Fix the maintainer field to the new
    standard for debian git hosted apps.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 16:12:46 +0100

libkface (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Add watch file
  * Fix extended description length.
  * batchpatch i386 symbols. Removed 2 missing optional.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:26:05 -0800

libkface (4:14.12.0-0ubuntu1) vivid; urgency=low

  * Initial release split out from Digikam

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 14:28:50 +0100
