=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libopencv-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkface.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkface.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkface.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkface.git
 
 Package: libkf5kface-dev
 Section: libdevel
