=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.1.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libopencv-dev,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkface.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkface.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
 
 Package: libkf5kface-dev
 Section: libdevel
