## libkf5kface 17.04.3

=== debian/changelog ===
libkf5kface (17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)
  * Update symbols

  [ Rik Mills ]
  * Update symbols from build logs for GCC7

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:57 +0100

libkf5kface (16.12.3-0ubuntu2) artful; urgency=medium

  * Build with OpenCV 3.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 19 Jun 2017 19:45:30 +0200
