=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libopencv-dev,
+               libopencv-dev (>= 3.1.0),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
